Bug 1405350 - Broken string in Title
Summary: Broken string in Title
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: All
OS: All
medium
low
Target Milestone: GA
: 5.8.0
Assignee: Milan Zázrivec
QA Contact: Dmitry Misharov
URL:
Whiteboard: ui
Depends On:
Blocks: 1414889
TreeView+ depends on / blocked
 
Reported: 2016-12-16 09:30 UTC by Dmitry Misharov
Modified: 2017-06-12 17:14 UTC (History)
4 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1414889 (view as bug list)
Environment:
Last Closed: 2017-06-12 17:14:31 UTC
Category: Feature
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
Screenshot of the bug (73.49 KB, image/png)
2016-12-16 09:30 UTC, Dmitry Misharov
no flags Details

Description Dmitry Misharov 2016-12-16 09:30:33 UTC
Created attachment 1232507 [details]
Screenshot of the bug

Description of problem:
Combination "<" and any word character can break the item title. Regex for matching: <[a-zA-Z]+

Version-Release number of selected component (if applicable):
5.7.0.16.20161213213754_1ad3545 

How reproducible:


Steps to Reproduce:
1. Open creation dialog of any item, e.g. Policy Profile.
2. In the name field write string which matches this regexp <[a-zA-Z]+, e.g. "<x"
3. Save the item.

Actual results:
Title of the is broken. It shows only "

Expected results:
Correct string should be shown

Comment 3 CFME Bot 2017-01-19 07:32:55 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/662901a77a7ee21aae1923a64aebee44ca48c2cc

commit 662901a77a7ee21aae1923a64aebee44ca48c2cc
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Wed Jan 18 15:48:50 2017 +0100
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Wed Jan 18 15:48:50 2017 +0100

    Escape right cell text
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1405350

 app/presenters/explorer_presenter.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 6 Dmitry Misharov 2017-03-03 14:14:37 UTC
Verified in 5.8.0.3.20170301174324_1e2e0c4. Special characters escaped in titles.


Note You need to log in before you can comment on or make changes to this bug.